(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('ngx-cookie-service'), require('@angular/platform-browser'), require('@angular/core'), require('@angular/common'), require('@angular/common/http')) :
    typeof define === 'function' && define.amd ? define('etherpad-client', ['exports', 'ngx-cookie-service', '@angular/platform-browser', '@angular/core', '@angular/common', '@angular/common/http'], factory) :
    (factory((global['etherpad-client'] = {}),global.i2,global.ng.platformBrowser,global.ng.core,global.ng.common,global.ng.common.http));
}(this, (function (exports,i2,platformBrowser,i0,common,i1) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var EtherpadClientService = /** @class */ (function () {
        function EtherpadClientService(http, cookie) {
            this.http = http;
            this.cookie = cookie;
            this.apiRoot = '';
            this.apiKey = '';
        }
        /**
         * @param {?} settings
         * @return {?}
         */
        EtherpadClientService.prototype.connect = /**
         * @param {?} settings
         * @return {?}
         */
            function (settings) {
                this.apiRoot = settings.host + ':' + settings.port + '/';
                this.apiKey = settings.apikey;
            };
        /**
         * @param {?} username
         * @param {?} userId
         * @param {?} meetingId
         * @param {?} meetingName
         * @return {?}
         */
        EtherpadClientService.prototype.getDocSession = /**
         * @param {?} username
         * @param {?} userId
         * @param {?} meetingId
         * @param {?} meetingName
         * @return {?}
         */
            function (username, userId, meetingId, meetingName) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.createAuthorIfNotExistsFor(username, userId)
                        .then(( /**
                 * @param {?} auther
                 * @return {?}
                 */function (auther) {
                        console.log("auither", auther);
                        /** @type {?} */
                        var autherId = auther.data.authorID;
                        _this.createGroupIfNotExistsFor(meetingId)
                            .then(( /**
                     * @param {?} group
                     * @return {?}
                     */function (group) {
                            /** @type {?} */
                            var groupId = group.data.groupID;
                            _this.listPads(groupId)
                                .then(( /**
                         * @param {?} pads
                         * @return {?}
                         */function (pads) {
                                if (pads.data.padIDs.length == 0) {
                                    _this.createGroupPad(groupId, meetingName)
                                        .then(( /**
                                 * @param {?} pad
                                 * @return {?}
                                 */function (pad) {
                                        _this.createSession(groupId, autherId)
                                            .then(( /**
                                     * @param {?} session
                                     * @return {?}
                                     */function (session) {
                                            /** @type {?} */
                                            var date = new Date();
                                            /** @type {?} */
                                            var exp = date.setHours(date.getHours() + 24);
                                            _this.cookie.set('sessionID', session.data.sessionID, exp, '/');
                                            resolve({
                                                padId: pad.data.padID,
                                                sessionID: session.data.sessionID
                                            });
                                        }));
                                    }));
                                }
                                else {
                                    _this.createSession(groupId, autherId)
                                        .then(( /**
                                 * @param {?} session
                                 * @return {?}
                                 */function (session) {
                                        resolve({
                                            padId: pads.data.padIDs[0],
                                            sessionID: session.data.sessionID
                                        });
                                    }));
                                }
                            }));
                        }));
                    }));
                }));
            };
        /*
         * Auther methods
         */
        /*
           * Auther methods
           */
        /**
         * @param {?} name
         * @return {?}
         */
        EtherpadClientService.prototype.createAuther = /*
           * Auther methods
           */
            /**
             * @param {?} name
             * @return {?}
             */
            function (name) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/createAuthor?apikey=' + _this.apiKey + '&name=' + name)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} name
         * @param {?} userId
         * @return {?}
         */
        EtherpadClientService.prototype.createAuthorIfNotExistsFor = /**
         * @param {?} name
         * @param {?} userId
         * @return {?}
         */
            function (name, userId) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/createAuthorIfNotExistsFor?apikey=' + _this.apiKey + '&name=' + name + '&authorMapper=' + userId)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} authorID
         * @return {?}
         */
        EtherpadClientService.prototype.listPadsOfAuthor = /**
         * @param {?} authorID
         * @return {?}
         */
            function (authorID) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/listPadsOfAuthor?apikey=' + _this.apiKey + '&authorID=' + authorID)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} authorID
         * @return {?}
         */
        EtherpadClientService.prototype.getAuthorName = /**
         * @param {?} authorID
         * @return {?}
         */
            function (authorID) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1.1/getAuthorName?apikey=' + _this.apiKey + '&authorID=' + authorID)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /*
         * Group methods
         */
        /*
           * Group methods
           */
        /**
         * @param {?} meetingId
         * @return {?}
         */
        EtherpadClientService.prototype.createGroup = /*
           * Group methods
           */
            /**
             * @param {?} meetingId
             * @return {?}
             */
            function (meetingId) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/createGroup?apikey=' + _this.apiKey)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} meetingId
         * @return {?}
         */
        EtherpadClientService.prototype.createGroupIfNotExistsFor = /**
         * @param {?} meetingId
         * @return {?}
         */
            function (meetingId) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/createGroup?apikey=' + _this.apiKey)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} groupID
         * @return {?}
         */
        EtherpadClientService.prototype.deleteGroup = /**
         * @param {?} groupID
         * @return {?}
         */
            function (groupID) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/createGroup?apikey=' + _this.apiKey + '&groupID=' + groupID)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} groupID
         * @return {?}
         */
        EtherpadClientService.prototype.listPads = /**
         * @param {?} groupID
         * @return {?}
         */
            function (groupID) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/listPads?apikey=' + _this.apiKey + '&groupID=' + groupID)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} groupID
         * @param {?} padName
         * @param {?=} padText
         * @return {?}
         */
        EtherpadClientService.prototype.createGroupPad = /**
         * @param {?} groupID
         * @param {?} padName
         * @param {?=} padText
         * @return {?}
         */
            function (groupID, padName, padText) {
                var _this = this;
                if (padText === void 0) {
                    padText = '';
                }
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/createGroupPad?apikey=' + _this.apiKey + '&groupID=' + groupID + '&padName=' + padName + '&text=' + padText)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @return {?}
         */
        EtherpadClientService.prototype.listAllGroups = /**
         * @return {?}
         */
            function () {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1.1/listPads?apikey=' + _this.apiKey)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /*
         * Session methods
         */
        /*
           * Session methods
           */
        /**
         * @param {?} groupID
         * @param {?} authorID
         * @return {?}
         */
        EtherpadClientService.prototype.createSession = /*
           * Session methods
           */
            /**
             * @param {?} groupID
             * @param {?} authorID
             * @return {?}
             */
            function (groupID, authorID) {
                var _this = this;
                /** @type {?} */
                var currentDate = new Date();
                currentDate.setHours(currentDate.getHours() + 24);
                /** @type {?} */
                var validUntil = currentDate.getTime() / 1000;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/api/1/createSession?apikey=' + _this.apiKey + '&groupID=' + groupID + '&authorID=' + authorID + '&validUntil=' + validUntil)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0) {
                            /** @type {?} */
                            var date = new Date();
                            /** @type {?} */
                            var exp = date.setHours(date.getHours() + 24);
                            _this.cookie.set('sessionID', res.data.sessionID, exp, '/');
                            resolve(res);
                        }
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} sessionId
         * @return {?}
         */
        EtherpadClientService.prototype.deleteSession = /**
         * @param {?} sessionId
         * @return {?}
         */
            function (sessionId) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/deleteSession?apikey=' + _this.apiKey + '&sessionID=' + sessionId)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} sessionId
         * @return {?}
         */
        EtherpadClientService.prototype.getSessionInfo = /**
         * @param {?} sessionId
         * @return {?}
         */
            function (sessionId) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/api/1/getSessionInfo?apikey=' + _this.apiKey + '&sessionID=' + sessionId)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} groupID
         * @return {?}
         */
        EtherpadClientService.prototype.listSessionsOfGroup = /**
         * @param {?} groupID
         * @return {?}
         */
            function (groupID) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/listSessionsOfGroup?apikey=' + _this.apiKey + '&groupID=' + groupID)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} authorID
         * @return {?}
         */
        EtherpadClientService.prototype.listSessionsOfAuthor = /**
         * @param {?} authorID
         * @return {?}
         */
            function (authorID) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/listSessionsOfAuthor?apikey=' + _this.apiKey + '&authorID=' + authorID)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /*
         * Pad methods
         */
        /*
           * Pad methods
           */
        /**
         * @param {?} padId
         * @param {?=} text
         * @return {?}
         */
        EtherpadClientService.prototype.createPad = /*
           * Pad methods
           */
            /**
             * @param {?} padId
             * @param {?=} text
             * @return {?}
             */
            function (padId, text) {
                var _this = this;
                if (text === void 0) {
                    text = '';
                }
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/createPad?apikey=' + _this.apiKey + '&padID=' + padId + '&text=' + text)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} padId
         * @return {?}
         */
        EtherpadClientService.prototype.getRevisionsCount = /**
         * @param {?} padId
         * @return {?}
         */
            function (padId) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/getRevisionsCount?apikey=' + _this.apiKey + '&padID=' + padId)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} padId
         * @return {?}
         */
        EtherpadClientService.prototype.getSavedRevisionsCount = /**
         * @param {?} padId
         * @return {?}
         */
            function (padId) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1.2.11/getSavedRevisionsCount?apikey=' + _this.apiKey + '&padID=' + padId)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} padId
         * @return {?}
         */
        EtherpadClientService.prototype.listSavedRevisions = /**
         * @param {?} padId
         * @return {?}
         */
            function (padId) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1.2.11/listSavedRevisions?apikey=' + _this.apiKey + '&padID=' + padId)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} padId
         * @param {?} rev
         * @return {?}
         */
        EtherpadClientService.prototype.saveRevision = /**
         * @param {?} padId
         * @param {?} rev
         * @return {?}
         */
            function (padId, rev) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1.2.11/saveRevision?apikey=' + _this.apiKey + '&padID=' + padId + '&rev=' + rev)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} padId
         * @return {?}
         */
        EtherpadClientService.prototype.padUsersCount = /**
         * @param {?} padId
         * @return {?}
         */
            function (padId) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/padUsersCount?apikey=' + _this.apiKey + '&padID=' + padId)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} padId
         * @return {?}
         */
        EtherpadClientService.prototype.padUsers = /**
         * @param {?} padId
         * @return {?}
         */
            function (padId) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1.1/padUsers?apikey=' + _this.apiKey + '&padID=' + padId)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} padId
         * @return {?}
         */
        EtherpadClientService.prototype.deletePad = /**
         * @param {?} padId
         * @return {?}
         */
            function (padId) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/padUsers?apikey=' + _this.apiKey + '&padID=' + padId)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @return {?}
         */
        EtherpadClientService.prototype.listAllPads = /**
         * @return {?}
         */
            function () {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1.2.1/listAllPads?apikey=' + _this.apiKey)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        /**
         * @param {?} padId
         * @return {?}
         */
        EtherpadClientService.prototype.getReadOnlyID = /**
         * @param {?} padId
         * @return {?}
         */
            function (padId) {
                var _this = this;
                return new Promise(( /**
                 * @param {?} resolve
                 * @param {?} reject
                 * @return {?}
                 */function (resolve, reject) {
                    _this.http.get(_this.apiRoot + 'api/1/getReadOnlyID?apikey=' + _this.apiKey + '&padID=' + padId)
                        .subscribe(( /**
                 * @param {?} res
                 * @return {?}
                 */function (res) {
                        if (res.code == 0)
                            resolve(res);
                        else
                            reject(res);
                    }));
                }));
            };
        EtherpadClientService.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        EtherpadClientService.ctorParameters = function () {
            return [
                { type: i1.HttpClient },
                { type: i2.CookieService }
            ];
        };
        /** @nocollapse */ EtherpadClientService.ngInjectableDef = i0.defineInjectable({ factory: function EtherpadClientService_Factory() { return new EtherpadClientService(i0.inject(i1.HttpClient), i0.inject(i2.CookieService)); }, token: EtherpadClientService, providedIn: "root" });
        return EtherpadClientService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var EtherpadClientComponent = /** @class */ (function () {
        function EtherpadClientComponent(etherPadService, sanitizer) {
            var _this = this;
            this.etherPadService = etherPadService;
            this.sanitizer = sanitizer;
            this.host = '';
            this.enablePad = false;
            this.loader = true;
            this.host = this.etherPadService.apiRoot;
            if (!this.chat)
                this.chat = false;
            this.etherPadService.getDocSession(this.username, this.userId, this.groupId, this.groupName)
                .then(( /**
         * @param {?} res
         * @return {?}
         */function (res) {
                _this.url = _this.sanitizer.bypassSecurityTrustResourceUrl(_this.host + "p/" + res.padId + "?showChat=" + _this.chat + "&userName=" + _this.username);
                _this.enablePad = true;
                _this.loader = false;
            }));
        }
        /**
         * @return {?}
         */
        EtherpadClientComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        EtherpadClientComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ngx-etherpad-client',
                        template: "\n  <iframe *ngIf=\"enablePad\" [src]=\"url\" class=\"sharedDoc\" referrerpolicy=\"same-origin\"></iframe>\n  <div *ngIf=\"loader\" class=\"sharedDoc\"></div>\n  ",
                        styles: ["\n  .sharedDoc{\n    position: absolute;\n    z-index: 5;\n    top: -5px;\n    margin: 5px auto;\n    width: calc(100% - 296px);\n    height: calc(100% - 50px);\n    background-color: #ffffff\n    }\n  "]
                    }] }
        ];
        /** @nocollapse */
        EtherpadClientComponent.ctorParameters = function () {
            return [
                { type: EtherpadClientService },
                { type: platformBrowser.DomSanitizer }
            ];
        };
        EtherpadClientComponent.propDecorators = {
            chat: [{ type: i0.Input, args: ['chat',] }],
            username: [{ type: i0.Input, args: ['username',] }],
            userId: [{ type: i0.Input, args: ['userId',] }],
            groupId: [{ type: i0.Input, args: ['groupId',] }],
            groupName: [{ type: i0.Input, args: ['groupName',] }]
        };
        return EtherpadClientComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var EtherpadClientModule = /** @class */ (function () {
        function EtherpadClientModule() {
        }
        EtherpadClientModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [EtherpadClientComponent],
                        imports: [
                            common.CommonModule,
                            i1.HttpClientModule
                        ],
                        exports: [EtherpadClientComponent]
                    },] }
        ];
        return EtherpadClientModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.EtherpadClientService = EtherpadClientService;
    exports.EtherpadClientComponent = EtherpadClientComponent;
    exports.EtherpadClientModule = EtherpadClientModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=etherpad-client.umd.js.map